Authenticators
Delete Authenticator
Delete a user’s enrolled authenticator.
DELETE
/
users
/
{userId}
/
authenticators
/
{userAuthenticatorId}
Delete authenticator
curl --request DELETE \
--url https://api.authsignal.com/v1/users/{userId}/authenticators/{userAuthenticatorId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.authsignal.com/v1/users/{userId}/authenticators/{userAuthenticatorId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.authsignal.com/v1/users/{userId}/authenticators/{userAuthenticatorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}Authorizations
Use your Authsignal Server API secret key as the username and leave the password empty. The secret key can be found in the API Keys section of the Authsignal Portal settings page.
Path Parameters
The ID of the user.
The ID of the user authenticator.
Response
OK
Was this page helpful?
Previous
Get Authenticator ConfigurationsGets a list of the authenticators configured for the tenant.
Next
⌘I
Delete authenticator

